
<!DOCTYPE HTML>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:f="http://java.sun.com/jsf/core">
    <head>
        <meta charset="UTF-8"> </meta>
        <title>Add Job Offer</title>   

        <!-- Base Css Files -->
        <link type="text/css" href="assets/libs/jqueryui/ui-lightness/jquery-ui-1.10.4.custom.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/fontello/css/fontello.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/animate-css/animate.min.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/nifty-modal/css/component.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/magnific-popup/magnific-popup.css" rel="stylesheet" /> 
        <link type="text/css" href="assets/libs/ios7-switch/ios7-switch.css" rel="stylesheet" /> 
        <link type="text/css" href="assets/libs/pace/pace.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/sortable/sortable-theme-bootstrap.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/bootstrap-datepicker/css/datepicker.css" rel="stylesheet" />
        <link type="text/css" href="assets/libs/jquery-icheck/skins/all.css" rel="stylesheet" />
       
        <!-- Extra CSS Libraries Start -->
        <link href="assets/css/style.css" rel="stylesheet" type="text/css" />
          

    </head>
    <body class="fixed-left login-page">
      
	<!-- Begin page -->
	<div class="container">
		<div class="full-content-center">
			<h2>Job Offer form</h2>
			<div class="login-wrap animated flipInX">
				<div class="login-block">
					<br></br>
					<h:form role="form">
					
						<div class="form-group login-input">
						<p:inputText class="form-control text-input" id="poste" value="#{jobOfferBean.poste}" ><f:validateLength minimum="2" ></f:validateLength> </p:inputText>
						<p:watermark for="poste" value="Job offer poste" />
						</div>
						
							<div class="form-group login-input">
						<p:inputTextarea  class="form-control text-input" id="description" value="#{jobOfferBean.description}" />
						<p:watermark for="description" value="Job offer poste" />
						</div>
						
							<div class="form-group login-input">

						<h:inputText class="form-control text-input" id="salary" value="#{jobOfferBean.salary}" />
						<p:watermark for="salary" value="Job offer poste" />
						</div>
							<div class="form-group login-input">
						<h:selectOneMenu class="form-control text-input" value="#{jobOfferBean.timeJob}" >
                         <f:selectItem itemValue="Full Time" itemLabel="Full Time" />
                           <f:selectItem itemValue="Partial Time" itemLabel="Partial Time"  />                   
                           <f:selectItem itemValue="Part Time" itemLabel="Part Time" />                                 
                            </h:selectOneMenu>
                         </div>
 
                         	<div class="form-group login-input">
                            <h:selectOneMenu class="form-control text-input"  value="#{jobOfferBean.idDepartment}">
                         <f:selectItems itemValue="#{department.id}" value="#{jobOfferBean.departments}" var="department" itemLabel="#{department.name} "  >
                         </f:selectItems>
                    </h:selectOneMenu>
                           </div>
                         	<div class="form-group login-input">
                            <h:selectOneMenu class="form-control text-input"  value="#{jobOfferBean.contrat}">
                         <f:selectItems value="#{jobOfferBean.contract}" var="contract" itemLabel="#{contract} "  >
                         </f:selectItems>
                          </h:selectOneMenu>  
                           </div>
                           <div>
                           	<h:dataTable value="#{jobOfferBean.skills}" var="skill" border="1" >
							<h:column><f:facet name="header"><h:outputText value="N°" /> </f:facet> <h:outputText value="#{jobOfferBean.skills.indexOf(skill)+1}" /></h:column> 												 
							<h:column><f:facet name="header"><h:outputText value="skill" /> </f:facet><h:outputText value="#{skill.name}" /></h:column> 
							<h:column><f:facet name=""></f:facet><h:commandLink action="#{jobOfferBean.doAddSkiil(skill)}" value="add" /> </h:column>
							</h:dataTable> 
                           </div>
                
						<div class="row">
						
							<div class="col-sm-6">
								<p:commandButton class="btn btn-success btn-block" action="#{jobOfferBean.doAddJobOffer()}" value="SUBMIT"  />
							
							</div>
							
							<div class="col-sm-6">
							<h:link outcome="/jobOfferHome?faces-redirect=true"> <p:commandButton class="btn btn-default btn-block" value="Cancel"  actionListener="/jobOfferHome?faces-redirect=true" /></h:link>
							</div>
							
							
							
						</div>
					
					</h:form>
				</div>
			</div>
		</div>
	</div>
	
	</body>
</html>